KerasLayer {keras} | R Documentation

## Base R6 class for Keras layers

### Description

Base R6 class for Keras layers

### Usage

    KerasLayer

### Format

An R6Class generator object #'

### Value

KerasLayer.

### Methods

`build(input_shape)`

  Creates the layer weights (must be implemented by all layers that have weights)

`call(inputs,mask)`

  Call the layer on an input tensor.

`compute_output_shape(input_shape)`

  Compute the output shape for the layer.

`add_loss(losses, inputs)`

  Add losses to the layer.

`add_weight(name,shape,dtype,initializer,regularizer,trainable,constraint)`

  Adds a weight variable to the layer.

[Package keras version 2.2.4 Index]